Page MenuHomePhabricator

[clang-tidy] add concurrency module
ClosedPublic

Authored by segoon on Nov 17 2020, 12:17 PM.

Details

Summary

The module will contain checks related to concurrent programming (including threads, fibers, coroutines, etc.).

Diff Detail

Event Timeline

segoon created this revision.Nov 17 2020, 12:17 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 17 2020, 12:17 PM
segoon requested review of this revision.Nov 17 2020, 12:17 PM

You have messed up the revisions, this should be the parent, D90944 should be the child. Thats why the build bot can't apply the patch

I'm not a native english speaker, but i think the module name be concurrency, not concurrent.

Eugene.Zelenko added a project: Restricted Project.
segoon updated this revision to Diff 306022.Nov 18 2020, 2:45 AM
segoon retitled this revision from [clang-tidy] add concurrent module to [clang-tidy] add concurrency module.
  • concurrent -> concurrency
This comment was removed by njames93.

Can you remove the code related to adding the mt-unsafe-posix check.

segoon updated this revision to Diff 306044.Nov 18 2020, 4:09 AM
  • remove garbage files

Can you remove the code related to adding the mt-unsafe-posix check.

Sorry, I've added unnecessary files. Removed now.

LG, I have no further comments, though see what other say about this first.

jdoerfert, alexfh, hokein, aaron.ballman,

Any comments on the patch?

lebedev.ri accepted this revision.Nov 23 2020, 4:10 AM

LGTM

clang-tools-extra/clang-tidy/CMakeLists.txt
57–59
76–77
clang-tools-extra/clang-tidy/concurrency/CMakeLists.txt
3

Is this really nessesary?

This revision is now accepted and ready to land.Nov 23 2020, 4:10 AM
segoon updated this revision to Diff 307039.Nov 23 2020, 4:24 AM
  • sort order
  • do not link with FrontendOpenMP

LGTM

thanks for comments, fixed

lebedev.ri, any comments?

Not really, i think this should be landed together with it's dependee, which is not ready yet.

segoon updated this revision to Diff 307883.Nov 26 2020, 8:47 AM
  • fix sort order
  • fix sort order

Please always upload all patches with full context (-U9999)

segoon updated this revision to Diff 307979.Nov 27 2020, 12:49 AM
  • git dif -U9999
This revision was automatically updated to reflect the committed changes.